package com.njyunzhi.invoice.controller;

import cn.dev33.satoken.stp.StpUtil;
import com.njyunzhi.invoice.common.BaseController;
import com.njyunzhi.invoice.common.ResponseBean;
import com.njyunzhi.invoice.common.StringUtils;
import com.njyunzhi.invoice.entity.SysUser;
import com.njyunzhi.invoice.service.ISysUserService;
import com.njyunzhi.invoice.vo.LoginParm;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;


@Api(tags ="登录")
@RestController
@RequestMapping("/")
public class LoginController extends BaseController {

    @PostMapping("/admin/login")
    @ApiOperation(value="后台登录", notes = "后台登录", httpMethod = "POST", response = ResponseBean.class)
    public ResponseBean login(@ApiParam("登录参数") @RequestBody LoginParm loginParm) throws Exception {

        if (StringUtils.isEmpty(loginParm.getUserName()) || StringUtils.isEmpty(loginParm.getPassword())) {
            return ResponseBean.error("登录用户或者密码不能为空");
        }

        SysUser sysUser = iSysUserService.login(loginParm);

        StpUtil.login(sysUser.getUserId(), "admin");
        String tokenValue = StpUtil.getTokenValue();

        Map<String, Object> result = new HashMap<>();
        result.put("user", sysUser);
        result.put("token", tokenValue);

        return ResponseBean.success(result);
    }
}
