package com.njyunzhi.invoice.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 开户行
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SysBank对象", description="开户行")
public class SysBank implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "银行ID")
    @TableId(value = "bank_id", type = IdType.INPUT)
    private String bankId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "账号")
    private String cardNo;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;


}
