package com.njyunzhi.invoice.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 报销明细
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaInvoiceDetail对象", description="报销明细")
public class TaInvoiceDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "明细ID")
    @TableId(value = "detail_id", type = IdType.INPUT)
    private String detailId;

    @ApiModelProperty(value = "报销ID")
    private String invoiceId;

    @ApiModelProperty(value = "人员ID")
    private String invoicePersonId;

    @ApiModelProperty(value = "映射人员ID")
    private String personId;

    @ApiModelProperty(value = "人员名称")
    private String personName;

    @ApiModelProperty(value = "开票单位ID")
    private String invoiceOrgId;

    @ApiModelProperty(value = "开票单位ID")
    private String orgId;

    @ApiModelProperty(value = "单位名称")
    private String orgName;

    @ApiModelProperty(value = "税号")
    private String taxNo;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "银行ID")
    private String bankId;

    @ApiModelProperty(value = "银行名称")
    private String bankName;

    @ApiModelProperty(value = "开户行账号")
    private String cardNo;

    @ApiModelProperty(value = "报销项目ID")
    private Integer invoiceItemTplId;

    @ApiModelProperty(value = "报销项目")
    private String itemName;

    @ApiModelProperty(value = "开票金额")
    private String charge;

    @ApiModelProperty(value = "合开备注")
    private String mergeRemark;

    @ApiModelProperty(value = "住宿清单")
    private String stayRemark;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;


}
