package com.njyunzhi.invoice.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 报销主表
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaInvoiceFill对象", description="报销主表")
public class TaInvoiceFill implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报销ID")
    @TableId(value = "invoice_id", type = IdType.INPUT)
    private String invoiceId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "结束时间")
    private LocalDateTime endDate;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;


}
