package com.njyunzhi.invoice.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 报销人员
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaInvoicePerson对象", description="报销人员")
public class TaInvoicePerson implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "人员ID")
    @TableId(value = "invoice_person_id", type = IdType.INPUT)
    private String invoicePersonId;

    @ApiModelProperty(value = "映射人员ID")
    private String personId;

    @ApiModelProperty(value = "所属单位")
    private String invoiceOrgId;

    @ApiModelProperty(value = "所属单位")
    private String orgId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "人员手机号")
    private String phone;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;


}
